# Install python software using setup.py.
#
# === Parameters
#
#   $name:
#       Source directory.
#
# === Sample usage
#
# python::setup::install { "/usr/local/src/moin-1.8.8": }
#
define python::setup::install() {

    exec { "python-setup-install-${name}":
        path    => "/bin:/usr/bin:/sbin:/usr/sbin",
        cwd     => "${name}",
        command => "python setup.py install",
        unless  => "test -d build",
    }

}
